Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003320KdenliveUser Interfacepublic2014-06-11 09:192014-08-13 12:59
Reporterevorster 
Assigned Tovpinon 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Platformx86_64OSArch LinuxOS Version2014-06-05
Product Version0.9.6 
Target VersionFixed in Version0.9.10 
Summary0003320: 0.9.8 - Importing a 50fps project into a 25fps project changes times on all the clips in the 25fps project....
DescriptionI was doing a project in 25fps, in full HD.
A small part of the project was done earlier, in 50fps.
I opened this 50fps project as a clip in the 25fps project.

I noticed that all the clips in the 25fps project now have had their start and end times changed.

The only way I could recover from this was to remove the 50fps project from the timeline and the project tree, save my project, quit kdenlive and re-open the 25fps project.
Steps To ReproduceMake a project with 50 fps, put some clips in, and save.
Start new project with 25 fps. Put some clips in them, too.
Note start and end frames in those clips.
Load the 50fps project as a "clip" in the Project tree.
Add the project to the timeline.
Do a render, or just view the clips.
Additional InformationIt would appear that just the fact of loading a project with a different framerate into the Project tree causes this issue.

This issue does not happen when mixing clips of different framerates.
TagsNo tags attached.
Build/Install MethodDistribution package
Attached Files

- Relationships

-  Notes
(0010134)
vpinon (administrator)
2014-07-15 23:17

Hi Evert,
I'm trying to reproduce the bug without success (but I think I had already something similar?!)
Could you try on your side to prepare an example with small media, and post an archive with project file before and after 50fps inclusion?
If you don't have time I will look at it later...
(0010212)
vpinon (administrator)
2014-08-08 20:51

Did this happen in 0.9.6?
(0010229)
vpinon (administrator)
2014-08-13 12:59

fix just commited to master,
many thanks to Steve who studied and solved the issue!

- Issue History
Date Modified Username Field Change
2014-06-11 09:19 evorster New Issue
2014-07-15 23:17 vpinon Note Added: 0010134
2014-08-06 00:29 vpinon Assigned To => vpinon
2014-08-06 00:29 vpinon Status new => assigned
2014-08-08 20:51 vpinon Note Added: 0010212
2014-08-13 12:59 vpinon Note Added: 0010229
2014-08-13 12:59 vpinon Status assigned => resolved
2014-08-13 12:59 vpinon Fixed in Version => 0.9.10
2014-08-13 12:59 vpinon Resolution open => fixed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker